> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /grailed/items/search

> Search Grailed listings by keyword with department, category, size, color, condition and more

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/grailed/items/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/grailed/items/search:
    post:
      tags:
        - /grailed
      summary: /grailed/items/search
      description: >-
        Search Grailed listings by keyword with department, category, size,
        color, condition and more


        **Price:** 1 credit
      operationId: __api_grailed_items_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrailedSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GrailedListingHit'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrailedSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        sort:
          $ref: '#/components/schemas/GrailedSort'
          default: most_relevant
        department:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedDepartment'
              type: array
            - type: 'null'
        category_path:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedCategoryPath'
              type: array
            - type: 'null'
        size:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        color:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedColor'
              type: array
            - type: 'null'
        condition:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedCondition'
              type: array
            - type: 'null'
        designer:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        location:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedLocation'
              type: array
            - type: 'null'
        strata:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedStrata'
              type: array
            - type: 'null'
        badges:
          anyOf:
            - items:
                $ref: '#/components/schemas/GrailedBadge'
              type: array
            - type: 'null'
        price_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        sold:
          type: boolean
          default: false
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    GrailedListingHit:
      properties:
        '@type':
          type: string
          default: GrailedListingHit
        id:
          type: integer
        listing_title:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_drops:
          items:
            type: number
          type: array
          default: []
        dropped:
          type: boolean
          default: false
        size:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        category_path:
          anyOf:
            - type: string
            - type: 'null'
        department:
          anyOf:
            - type: string
            - type: 'null'
        color:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        country_of_origin:
          anyOf:
            - type: string
            - type: 'null'
        strata:
          anyOf:
            - type: string
            - type: 'null'
        styles:
          items:
            type: string
          type: array
          default: []
        badges:
          items:
            type: string
          type: array
          default: []
        designer_names:
          anyOf:
            - type: string
            - type: 'null'
        designers:
          items:
            $ref: '#/components/schemas/GrailedDesignerRef'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        photo_count:
          type: integer
          default: 0
        measurement_count:
          type: integer
          default: 0
        location:
          anyOf:
            - type: string
            - type: 'null'
        follower_count:
          type: integer
          default: 0
        buy_now:
          type: boolean
          default: false
        make_offer:
          type: boolean
          default: false
        sold:
          type: boolean
          default: false
        sold_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_shipping_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_price_includes_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
        sold_at:
          anyOf:
            - type: integer
            - type: 'null'
        shipping:
          items:
            $ref: '#/components/schemas/GrailedShippingOption'
          type: array
          default: []
        seller:
          anyOf:
            - $ref: '#/components/schemas/GrailedHitSeller'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - listing_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GrailedSort:
      type: string
      enum:
        - most_relevant
        - latest_activity
        - newly_listed
        - trending
        - price_low_to_high
        - price_high_to_low
    GrailedDepartment:
      type: string
      enum:
        - menswear
        - womenswear
    GrailedCategoryPath:
      type: string
      enum:
        - tops.short_sleeve_shirts
        - tops.long_sleeve_shirts
        - tops.polos
        - tops.button_ups
        - tops.sweaters_knitwear
        - tops.sweatshirts_hoodies
        - tops.sleeveless
        - tops.jerseys
        - bottoms.casual_pants
        - bottoms.cropped_pants
        - bottoms.denim
        - bottoms.leggings
        - bottoms.jumpsuits
        - bottoms.shorts
        - bottoms.sweatpants_joggers
        - bottoms.swimwear
        - outerwear.bombers
        - outerwear.cloaks_capes
        - outerwear.denim_jackets
        - outerwear.heavy_coats
        - outerwear.leather_jackets
        - outerwear.light_jackets
        - outerwear.parkas
        - outerwear.raincoats
        - outerwear.vests
        - footwear.boots
        - footwear.leather
        - footwear.formal_shoes
        - footwear.hitop_sneakers
        - footwear.lowtop_sneakers
        - footwear.sandals
        - footwear.slip_ons
        - tailoring.blazers
        - tailoring.formal_shirting
        - tailoring.formal_trousers
        - tailoring.suits
        - tailoring.tuxedos
        - tailoring.vests
        - accessories.bags_luggage
        - accessories.belts
        - accessories.glasses
        - accessories.gloves_scarves
        - accessories.hats
        - accessories.jewelry_watches
        - accessories.wallets
        - accessories.misc
        - accessories.periodicals
        - accessories.socks_underwear
        - accessories.sunglasses
        - womens_tops.blouses
        - womens_tops.bodysuits
        - womens_tops.button_ups
        - womens_tops.crop_tops
        - womens_tops.hoodies
        - womens_tops.long_sleeve_shirts
        - womens_tops.polos
        - womens_tops.short_sleeve_shirts
        - womens_tops.sweaters
        - womens_tops.sweatshirts
        - womens_tops.tank_tops
        - womens_bottoms.jeans
        - womens_bottoms.joggers
        - womens_bottoms.jumpsuits
        - womens_bottoms.leggings
        - womens_bottoms.maxi_skirts
        - womens_bottoms.midi_skirts
        - womens_bottoms.mini_skirts
        - womens_bottoms.pants
        - womens_bottoms.shorts
        - womens_bottoms.sweatpants
        - womens_dresses.mini
        - womens_dresses.midi
        - womens_dresses.maxi
        - womens_dresses.gowns
        - womens_outerwear.blazers
        - womens_outerwear.bombers
        - womens_outerwear.coats
        - womens_outerwear.denim_jackets
        - womens_outerwear.down_jackets
        - womens_outerwear.fur_faux_fur
        - womens_outerwear.jackets
        - womens_outerwear.leather_jackets
        - womens_outerwear.rain_jackets
        - womens_outerwear.vests
        - womens_footwear.boots
        - womens_footwear.heels
        - womens_footwear.platforms
        - womens_footwear.mules
        - womens_footwear.flats
        - womens_footwear.hitop_sneakers
        - womens_footwear.lowtop_sneakers
        - womens_footwear.sandals
        - womens_footwear.slip_ons
        - womens_accessories.belts
        - womens_accessories.glasses
        - womens_accessories.gloves
        - womens_accessories.hats
        - womens_accessories.miscellaneous
        - womens_accessories.scarves
        - womens_accessories.socks_intimates
        - womens_accessories.sunglasses
        - womens_accessories.wallets
        - womens_bags_luggage.backpacks
        - womens_bags_luggage.belt_bags
        - womens_bags_luggage.clutches
        - womens_bags_luggage.crossbody_bags
        - womens_bags_luggage.handle_bags
        - womens_bags_luggage.luggage_travel
        - womens_bags_luggage.mini_bags
        - womens_bags_luggage.shoulder_bags
        - womens_bags_luggage.tote_bags
        - womens_bags_luggage.other
        - womens_jewelry.body_jewelry
        - womens_jewelry.bracelets
        - womens_jewelry.earrings
        - womens_jewelry.necklaces
        - womens_jewelry.rings
    GrailedColor:
      type: string
      enum:
        - black
        - blue
        - multi
        - white
        - gray
        - brown
        - green
        - beige
        - red
        - pink
        - purple
        - yellow
        - silver
        - orange
        - gold
    GrailedCondition:
      type: string
      enum:
        - is_new
        - is_gently_used
        - is_used
        - is_worn
        - is_not_specified
    GrailedLocation:
      type: string
      enum:
        - United States
        - Canada
        - Europe
        - United Kingdom
        - Asia
        - Australia/NZ
        - Other
    GrailedStrata:
      type: string
      enum:
        - basic
        - grailed
        - hype
        - sartorial
    GrailedBadge:
      type: string
      enum:
        - staff_pick
        - by_grailed
    GrailedDesignerRef:
      properties:
        '@type':
          type: string
          default: GrailedDesignerRef
        id:
          type: integer
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        departments:
          items:
            type: string
          type: array
          default: []
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    GrailedShippingOption:
      properties:
        '@type':
          type: string
          default: GrailedShippingOption
        region:
          type: string
        amount:
          anyOf:
            - type: number
            - type: 'null'
        is_enabled:
          type: boolean
          default: false
      type: object
      required:
        - region
    GrailedHitSeller:
      properties:
        '@type':
          type: string
          default: GrailedHitSeller
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        total_bought_and_sold:
          type: integer
          default: 0
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          type: integer
          default: 0
        is_trusted_seller:
          type: boolean
          default: false
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````